> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# WOEID ごとのトレンド

> 特定の地域のトレンドトピックを取得します

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

「Trends by WOEID」エンドポイントは、Yahoo! Where On Earth ID (WOEID) で識別される特定の地理的な場所におけるトレンドトピックを返します。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="ロケーション別" icon="location-dot">
    サポート対象の任意のロケーションのトレンド
  </Card>

  <Card title="グローバルカバレッジ" icon="globe">
    国、都市、地域を網羅
  </Card>

  <Card title="リアルタイム" icon="bolt">
    現在のトレンドトピック
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| Method | Endpoint                                                         | Description         |
| :----- | :--------------------------------------------------------------- | :------------------ |
| GET    | [`/2/trends/by/woeid/:id`](/ja/x-api/trends/get-trends-by-woeid) | 指定した WOEID のトレンドを取得 |

***

<div id="common-woeids">
  ## 代表的な WOEID
</div>

| 地域      | WOEID    |
| :------ | :------- |
| 世界      | 1        |
| アメリカ合衆国 | 23424977 |
| イギリス    | 23424975 |
| 日本      | 23424856 |
| ニューヨーク  | 2459115  |
| ロサンゼルス  | 2442047  |
| ロンドン    | 44418    |
| 東京      | 1118370  |

***

<div id="example-request">
  ## リクエスト例
</div>

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## レスポンス例
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * App の[ベアラートークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="パーソナライズされたトレンド" icon="user" href="/ja/x-api/trends/personalized-trends/introduction">
    認証済みユーザーのトレンドを取得
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/trends/trends-by-woeid">
    エンドポイントの詳細ドキュメント
  </Card>
</CardGroup>
